"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[1341],{

/***/ 1341:
/*!******************************************!*\
  !*** ./src/app/auth/login/login.page.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LoginPage: () => (/* binding */ LoginPage)
/* harmony export */ });
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _auth_service__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../auth.service */ 3117);
/* harmony import */ var _permissions_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../permissions.service */ 5652);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);








let LoginPage = /*#__PURE__*/(() => {
  var _LoginPage;
  class LoginPage {
    constructor(router, authService, permissionsService, toastService) {
      this.router = router;
      this.authService = authService;
      this.permissionsService = permissionsService;
      this.toastService = toastService;
      this.user = '';
      this.password = '';
    }
    login() {
      if (this.user != '' && this.password != '') {
        this.authService.login(this.user, this.password).subscribe({
          next: () => {
            this.permissionsService.permissions().subscribe({
              next: () => {
                this.router.navigateByUrl('/main').then(() => {
                  window.location.reload();
                });
              },
              error: error => {
                this.toastService.showToast(error.message);
              }
            });
          },
          error: error => {
            this.toastService.showToast(error.message);
          }
        });
      } else {
        this.toastService.showToast('Por favor complete todos los campos');
      }
    }
    goToEmailReset() {
      this.router.navigateByUrl('/password/email');
    }
    goToRegister() {
      this.router.navigateByUrl('/register');
    }
  }
  _LoginPage = LoginPage;
  _LoginPage.ɵfac = function LoginPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _LoginPage)(_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_4__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_auth_service__WEBPACK_IMPORTED_MODULE_0__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_permissions_service__WEBPACK_IMPORTED_MODULE_1__.PermissionsService), _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService));
  };
  _LoginPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdefineComponent"]({
    type: _LoginPage,
    selectors: [["app-login"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵStandaloneFeature"]],
    decls: 37,
    vars: 4,
    consts: [[3, "translucent"], [3, "fullscreen"], [1, "full-height-grid"], [1, "ion-margin-top"], ["src", "/assets/images/skiliket.png", "alt", "Skiliket logo", 1, "icon-image"], ["position", "stacked"], [3, "ngModelChange", "ngModel"], ["type", "password", 3, "ngModelChange", "ngModel"], ["slot", "end"], [3, "click"]],
    template: function LoginPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](3, " Login ");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](4, "ion-content", 1)(5, "ion-card")(6, "ion-grid", 2)(7, "ion-row")(8, "ion-col", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelement"](9, "ion-img", 4);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](10, "ion-row")(11, "ion-col", 3)(12, "ion-item")(13, "ion-label", 5)(14, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](15, "Usuario *");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](16, "ion-input", 6);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayListener"]("ngModelChange", function LoginPage_Template_ion_input_ngModelChange_16_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayBindingSet"](ctx.user, $event) || (ctx.user = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](17, "ion-row")(18, "ion-col", 3)(19, "ion-item")(20, "ion-label", 5)(21, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](22, "Contrase\u00F1a *");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](23, "ion-input", 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayListener"]("ngModelChange", function LoginPage_Template_ion_input_ngModelChange_23_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayBindingSet"](ctx.password, $event) || (ctx.password = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelement"](24, "ion-input-password-toggle", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](25, "ion-row")(26, "ion-col", 3)(27, "ion-button", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵlistener"]("click", function LoginPage_Template_ion_button_click_27_listener() {
          return ctx.login();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](28, "Entrar");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](29, "ion-row")(30, "ion-col", 3)(31, "a", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵlistener"]("click", function LoginPage_Template_a_click_31_listener() {
          return ctx.goToEmailReset();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](32, "Restablecer contrase\u00F1a");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](33, "ion-row")(34, "ion-col")(35, "a", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵlistener"]("click", function LoginPage_Template_a_click_35_listener() {
          return ctx.goToRegister();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](36, "\u00BFA\u00FAn no tienes una cuenta? reg\u00EDstrate aqu\u00ED");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()()()()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵadvance"](12);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayProperty"]("ngModel", ctx.user);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtwoWayProperty"]("ngModel", ctx.password);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonToolbar, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonInput, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonItem, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonInputPasswordToggle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonButton, _angular_forms__WEBPACK_IMPORTED_MODULE_6__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_6__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_6__.NgModel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonLabel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonImg],
    styles: ["ion-col[_ngcontent-%COMP%] {\n  text-align: center;\n}"]
  });
  return LoginPage;
})();

/***/ })

}]);