"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[2311],{

/***/ 2311:
/*!***************************************************!*\
  !*** ./src/app/auth/password/email/email.page.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EmailPage: () => (/* binding */ EmailPage)
/* harmony export */ });
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _auth_service__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../auth.service */ 3117);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);







let EmailPage = /*#__PURE__*/(() => {
  var _EmailPage;
  class EmailPage {
    constructor(authService, toastService) {
      this.authService = authService;
      this.toastService = toastService;
      this.email = '';
    }
    ngOnInit() {}
    send() {
      this.authService.resetPasswordEmail(this.email).subscribe({
        next: () => {
          this.toastService.showToast('Correo enviado correctamente');
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
  }
  _EmailPage = EmailPage;
  _EmailPage.ɵfac = function EmailPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _EmailPage)(_angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵdirectiveInject"](_auth_service__WEBPACK_IMPORTED_MODULE_0__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_1__.ToastService));
  };
  _EmailPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵdefineComponent"]({
    type: _EmailPage,
    selectors: [["app-email"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵStandaloneFeature"]],
    decls: 20,
    vars: 3,
    consts: [[3, "translucent"], ["slot", "start"], ["text", ""], [3, "fullscreen"], [1, "full-height-grid"], [1, "ion-margin-top"], ["position", "stacked"], ["type", "email", "required", "true", 3, "ngModelChange", "ngModel"], [3, "click"]],
    template: function EmailPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelement"](3, "ion-back-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementStart"](4, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtext"](5, " Restablecer contrase\u00F1a ");
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementStart"](6, "ion-content", 3)(7, "ion-card")(8, "ion-grid", 4)(9, "ion-row")(10, "ion-col", 5)(11, "ion-item")(12, "ion-label", 6)(13, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtext"](14, "Email *");
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementStart"](15, "ion-input", 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtwoWayListener"]("ngModelChange", function EmailPage_Template_ion_input_ngModelChange_15_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtwoWayBindingSet"](ctx.email, $event) || (ctx.email = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementStart"](16, "ion-row")(17, "ion-col", 5)(18, "ion-button", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵlistener"]("click", function EmailPage_Template_ion_button_click_18_listener() {
          return ctx.send();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtext"](19, "Enviar solicitud");
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵelementEnd"]()()()()()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵadvance"](9);
        _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵtwoWayProperty"]("ngModel", ctx.email);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonToolbar, _angular_common__WEBPACK_IMPORTED_MODULE_4__.CommonModule, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonButtons, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonBackButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonItem, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonLabel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_3__.IonInput, _angular_forms__WEBPACK_IMPORTED_MODULE_5__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_5__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_5__.RequiredValidator, _angular_forms__WEBPACK_IMPORTED_MODULE_5__.NgModel],
    styles: ["ion-col[_ngcontent-%COMP%] {\n  text-align: center;\n}"]
  });
  return EmailPage;
})();

/***/ })

}]);