"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[2792],{

/***/ 1097:
/*!***************************************!*\
  !*** ./src/app/core/models/report.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Report: () => (/* binding */ Report)
/* harmony export */ });
class Report {
  constructor(data = {}) {
    var _data$id, _data$type, _data$location, _data$latitude, _data$longitude, _data$description, _data$intensity, _data$files, _data$keywords, _data$created_at, _data$updated_at;
    this.id = (_data$id = data.id) !== null && _data$id !== void 0 ? _data$id : 0;
    this.type = (_data$type = data.type) !== null && _data$type !== void 0 ? _data$type : '';
    this.location = (_data$location = data.location) !== null && _data$location !== void 0 ? _data$location : '';
    this.latitude = (_data$latitude = data.latitude) !== null && _data$latitude !== void 0 ? _data$latitude : 0;
    this.longitude = (_data$longitude = data.longitude) !== null && _data$longitude !== void 0 ? _data$longitude : 0;
    this.description = (_data$description = data.description) !== null && _data$description !== void 0 ? _data$description : '';
    this.intensity = (_data$intensity = data.intensity) !== null && _data$intensity !== void 0 ? _data$intensity : 0;
    this.files = (_data$files = data.files) !== null && _data$files !== void 0 ? _data$files : [];
    this.keywords = (_data$keywords = data.keywords) !== null && _data$keywords !== void 0 ? _data$keywords : [];
    this.created_at = (_data$created_at = data.created_at) !== null && _data$created_at !== void 0 ? _data$created_at : '';
    this.updated_at = (_data$updated_at = data.updated_at) !== null && _data$updated_at !== void 0 ? _data$updated_at : '';
  }
}

/***/ }),

/***/ 3115:
/*!*********************************************!*\
  !*** ./src/app/core/pipes/safe-url.pipe.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SafeUrlPipe: () => (/* binding */ SafeUrlPipe)
/* harmony export */ });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_platform_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/platform-browser */ 345);


let SafeUrlPipe = /*#__PURE__*/(() => {
  var _SafeUrlPipe;
  class SafeUrlPipe {
    constructor(sanitizer) {
      this.sanitizer = sanitizer;
    }
    transform(url) {
      return this.sanitizer.bypassSecurityTrustResourceUrl(url);
    }
  }
  _SafeUrlPipe = SafeUrlPipe;
  _SafeUrlPipe.ɵfac = function SafeUrlPipe_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _SafeUrlPipe)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_angular_platform_browser__WEBPACK_IMPORTED_MODULE_1__.DomSanitizer, 16));
  };
  _SafeUrlPipe.ɵpipe = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefinePipe"]({
    name: "safeUrl",
    type: _SafeUrlPipe,
    pure: true,
    standalone: true
  });
  return SafeUrlPipe;
})();

/***/ }),

/***/ 2792:
/*!**************************************************************!*\
  !*** ./src/app/reports/report-card/report-card.component.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ReportCardComponent: () => (/* binding */ ReportCardComponent)
/* harmony export */ });
/* harmony import */ var src_app_core_models_report__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/app/core/models/report */ 1097);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! leaflet */ 8244);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(leaflet__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var src_app_core_pipes_safe_url_pipe__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/core/pipes/safe-url.pipe */ 3115);
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/core */ 7705);








function ReportCardComponent_div_26_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "div")(1, "b");
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](2, "Evidencia: ");
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
  }
}
function ReportCardComponent_ng_container_27_div_1_img_2_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](0, "img", 7);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipe"](1, "safeUrl");
  }
  if (rf & 2) {
    const file_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵnextContext"](2).$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("src", _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipeBind1"](1, 1, file_r1.url), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵsanitizeUrl"]);
  }
}
function ReportCardComponent_ng_container_27_div_1_video_3_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](0, "video", 8);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipe"](1, "safeUrl");
  }
  if (rf & 2) {
    const file_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵnextContext"](2).$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("src", _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipeBind1"](1, 1, file_r1.url), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵsanitizeUrl"]);
  }
}
function ReportCardComponent_ng_container_27_div_1_audio_4_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](0, "audio", 8);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipe"](1, "safeUrl");
  }
  if (rf & 2) {
    const file_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵnextContext"](2).$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("src", _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpipeBind1"](1, 1, file_r1.url), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵsanitizeUrl"]);
  }
}
function ReportCardComponent_ng_container_27_div_1_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "div", 4);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementContainerStart"](1);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtemplate"](2, ReportCardComponent_ng_container_27_div_1_img_2_Template, 2, 3, "img", 5)(3, ReportCardComponent_ng_container_27_div_1_video_3_Template, 2, 3, "video", 6)(4, ReportCardComponent_ng_container_27_div_1_audio_4_Template, 2, 3, "audio", 6);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementContainerEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
  }
  if (rf & 2) {
    const file_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵnextContext"]().$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](2);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngIf", file_r1.type === "image");
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngIf", file_r1.type === "video");
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngIf", file_r1.type === "audio");
  }
}
function ReportCardComponent_ng_container_27_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementContainerStart"](0);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtemplate"](1, ReportCardComponent_ng_container_27_div_1_Template, 5, 3, "div", 3);
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementContainerEnd"]();
  }
  if (rf & 2) {
    const file_r1 = ctx.$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngIf", file_r1.type);
  }
}
let ReportCardComponent = /*#__PURE__*/(() => {
  var _ReportCardComponent;
  class ReportCardComponent {
    constructor() {
      this.userIcon = leaflet__WEBPACK_IMPORTED_MODULE_1__.icon({
        iconUrl: 'assets/map/marker-icon.png',
        shadowUrl: 'assets/map/marker-shadow.png',
        iconSize: [25, 41],
        iconAnchor: [12, 41],
        popupAnchor: [1, -34],
        shadowSize: [41, 41]
      });
      this.report = new src_app_core_models_report__WEBPACK_IMPORTED_MODULE_0__.Report();
      this.files = [];
    }
    ngAfterViewInit() {
      setTimeout(() => this.initMap(), 50);
      this.report.files.forEach(file => {
        this.files.push({
          url: src_environments_environment__WEBPACK_IMPORTED_MODULE_2__.environment.storage + '/' + file,
          type: this.detectFileType(file)
        });
      });
    }
    ngOnDestroy() {
      if (this.map) {
        this.map.remove();
      }
    }
    detectFileType(url) {
      var _url$split$pop;
      const fileExtension = (_url$split$pop = url.split('.').pop()) === null || _url$split$pop === void 0 ? void 0 : _url$split$pop.toLowerCase();
      if (fileExtension) {
        if (['jpg', 'jpeg', 'png', 'gif', 'bmp', 'webp'].includes(fileExtension)) {
          return 'image';
        }
        if (['mp4', 'webm', 'ogg', 'mov'].includes(fileExtension)) {
          return 'video';
        }
        if (['mp3', 'wav', 'ogg', 'aac'].includes(fileExtension)) {
          return 'audio';
        }
        return null;
      }
      return null;
    }
    initMap() {
      this.map = new leaflet__WEBPACK_IMPORTED_MODULE_1__.Map(`reportLocation${this.report.id}`, {
        attributionControl: false
      }).setView([this.report.latitude, this.report.longitude], 18);
      leaflet__WEBPACK_IMPORTED_MODULE_1__.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {}).addTo(this.map);
      this.userMarker = leaflet__WEBPACK_IMPORTED_MODULE_1__.marker([this.report.latitude, this.report.longitude], {
        icon: this.userIcon
      }).addTo(this.map);
    }
  }
  _ReportCardComponent = ReportCardComponent;
  _ReportCardComponent.ɵfac = function ReportCardComponent_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ReportCardComponent)();
  };
  _ReportCardComponent.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdefineComponent"]({
    type: _ReportCardComponent,
    selectors: [["app-report-card"]],
    inputs: {
      report: "report"
    },
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵStandaloneFeature"]],
    decls: 28,
    vars: 8,
    consts: [[1, "ion-margin-vertical", 2, "height", "200px", "width", "100%", 3, "id"], [4, "ngIf"], [4, "ngFor", "ngForOf"], ["class", "container ion-margin-vertical", 4, "ngIf"], [1, "container", "ion-margin-vertical"], ["alt", "Imagen", "class", "media-content", 3, "src", 4, "ngIf"], ["controls", "", "class", "media-content", 3, "src", 4, "ngIf"], ["alt", "Imagen", 1, "media-content", 3, "src"], ["controls", "", 1, "media-content", 3, "src"]],
    template: function ReportCardComponent_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "ion-card")(1, "ion-card-content")(2, "div")(3, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](4, "Tipo: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](6, "div")(7, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](8, "Palabras clave: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](9);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](10, "div")(11, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](12, "Intensidad: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](13);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](14, "div")(15, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](16, "Descripci\u00F3n: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](17);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](18, "div")(19, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](20, "Descripci\u00F3n de ubicaci\u00F3n: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](21);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](22, "div")(23, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](24, "Ubicaci\u00F3n del reporte: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](25, "div", 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtemplate"](26, ReportCardComponent_div_26_Template, 3, 0, "div", 1)(27, ReportCardComponent_ng_container_27_Template, 2, 1, "ng-container", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.report.type, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.report.keywords.join(", "), " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.report.intensity, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.report.description, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.report.location, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpropertyInterpolate"]("id", "reportLocation" + ctx.report.id);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngIf", ctx.files.length > 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("ngForOf", ctx.files);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonCardContent, src_app_core_pipes_safe_url_pipe__WEBPACK_IMPORTED_MODULE_3__.SafeUrlPipe, _angular_common__WEBPACK_IMPORTED_MODULE_6__.CommonModule, _angular_common__WEBPACK_IMPORTED_MODULE_6__.NgForOf, _angular_common__WEBPACK_IMPORTED_MODULE_6__.NgIf],
    styles: [".container[_ngcontent-%COMP%] {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  width: 100%;\n  max-height: 250px;\n  height: 100%;\n  overflow: hidden;\n}\n\n.media-content[_ngcontent-%COMP%] {\n  width: 100%;\n  max-height: 100%;\n  object-fit: contain;\n}"]
  });
  return ReportCardComponent;
})();

/***/ })

}]);