"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[4008],{

/***/ 4008:
/*!*********************************************************!*\
  !*** ./src/app/devices/edit-device/edit-device.page.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EditDevicePage: () => (/* binding */ EditDevicePage)
/* harmony export */ });
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var src_app_core_models_device__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/app/core/models/device */ 4293);
/* harmony import */ var _devices_form_devices_form_component__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../devices-form/devices-form.component */ 6786);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _devices_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../devices.service */ 9536);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);









let EditDevicePage = /*#__PURE__*/(() => {
  var _EditDevicePage;
  class EditDevicePage {
    constructor(route, devicesService, toastService) {
      this.route = route;
      this.devicesService = devicesService;
      this.toastService = toastService;
      this.deviceId = 0;
      this.device = new src_app_core_models_device__WEBPACK_IMPORTED_MODULE_0__.Device();
      let deviceIdString = this.route.snapshot.paramMap.get('id');
      if (deviceIdString) {
        this.deviceId = parseInt(deviceIdString);
      }
    }
    ionViewWillEnter() {
      this.devicesService.get(this.deviceId).subscribe({
        next: device => {
          this.device = device;
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
  }
  _EditDevicePage = EditDevicePage;
  _EditDevicePage.ɵfac = function EditDevicePage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _EditDevicePage)(_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_5__.ActivatedRoute), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_devices_service__WEBPACK_IMPORTED_MODULE_2__.DevicesService), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_3__.ToastService));
  };
  _EditDevicePage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdefineComponent"]({
    type: _EditDevicePage,
    selectors: [["app-edit-device"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵStandaloneFeature"]],
    decls: 13,
    vars: 3,
    consts: [[3, "translucent"], ["slot", "start"], ["text", ""], [3, "fullscreen"], ["collapse", "condense"], ["size", "large"], [3, "device"]],
    template: function EditDevicePage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](3, "ion-back-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](4, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](5, "Editar dispositivo");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](6, "ion-content", 3)(7, "ion-header", 4)(8, "ion-toolbar")(9, "ion-title", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](10, "Editar dispositivo");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](11, "ion-card");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](12, "app-devices-form", 6);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("device", ctx.device);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonToolbar, _angular_common__WEBPACK_IMPORTED_MODULE_7__.CommonModule, _angular_forms__WEBPACK_IMPORTED_MODULE_8__.FormsModule, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonButtons, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonBackButton, _devices_form_devices_form_component__WEBPACK_IMPORTED_MODULE_1__.DevicesFormComponent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCard]
  });
  return EditDevicePage;
})();

/***/ })

}]);