"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[462],{

/***/ 5001:
/*!*****************************************************************!*\
  !*** ./src/app/projects/project-card/project-card.component.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectCardComponent: () => (/* binding */ ProjectCardComponent)
/* harmony export */ });
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var ionicons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ionicons */ 5079);
/* harmony import */ var ionicons_icons__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ionicons/icons */ 5873);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var src_app_auth_permissions_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/auth/permissions.service */ 5652);
/* harmony import */ var _project_user_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../project-user.service */ 755);
/* harmony import */ var src_app_auth_auth_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/auth/auth.service */ 3117);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);











function ProjectCardComponent_ion_button_16_Template(rf, ctx) {
  if (rf & 1) {
    const _r1 = _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵgetCurrentView"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](0, "ion-button", 5);
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵlistener"]("click", function ProjectCardComponent_ion_button_16_Template_ion_button_click_0_listener($event) {
      _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵrestoreView"](_r1);
      const ctx_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵnextContext"]();
      return _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵresetView"](ctx_r1.editProject($event));
    });
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](1, "Editar");
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
  }
}
function ProjectCardComponent_ion_button_17_Template(rf, ctx) {
  if (rf & 1) {
    const _r3 = _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵgetCurrentView"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](0, "ion-button", 5);
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵlistener"]("click", function ProjectCardComponent_ion_button_17_Template_ion_button_click_0_listener($event) {
      _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵrestoreView"](_r3);
      const ctx_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵnextContext"]();
      return _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵresetView"](ctx_r1.joinProject($event));
    });
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](1, "Unirme");
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
  }
}
let ProjectCardComponent = /*#__PURE__*/(() => {
  var _ProjectCardComponent;
  class ProjectCardComponent {
    constructor(router, permissionsService, projectUserService, authService, toastService) {
      this.router = router;
      this.permissionsService = permissionsService;
      this.projectUserService = projectUserService;
      this.authService = authService;
      this.toastService = toastService;
      (0,ionicons__WEBPACK_IMPORTED_MODULE_6__.a)({
        person: ionicons_icons__WEBPACK_IMPORTED_MODULE_0__.person,
        chatbox: ionicons_icons__WEBPACK_IMPORTED_MODULE_0__.chatbox
      });
    }
    canEdit() {
      const userProject = this.userProjects.find(project => project.id === this.project.id);
      if (!userProject) {
        return false;
      }
      if (this.permissionsService.validatePermission('update project') && userProject.project_user_type == 'owner') {
        return true;
      }
      return false;
    }
    canJoin() {
      const userProject = this.userProjects.find(project => project.id === this.project.id);
      if (userProject) {
        return false;
      } else {
        return true;
      }
    }
    editProject(event) {
      event.stopPropagation();
      this.router.navigate(['/projects/edit', this.project.id]);
    }
    joinProject(event) {
      event.stopPropagation();
      this.authService.user().subscribe({
        next: user => {
          this.projectUserService.setProjectId(this.project.id);
          this.projectUserService.create(user.id, 'participant').subscribe({
            next: () => {
              this.toastService.showToast(`Te has unido correctamente al proyecto: ${this.project.name}`);
              this.router.navigateByUrl('main/projects').then(() => {
                window.location.reload();
              });
            },
            error: error => {
              this.toastService.showToast(error.message);
            }
          });
        }
      });
    }
    openReports() {
      this.router.navigateByUrl(`/projects/${this.project.id}/reports`);
    }
  }
  _ProjectCardComponent = ProjectCardComponent;
  _ProjectCardComponent.ɵfac = function ProjectCardComponent_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectCardComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_7__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](src_app_auth_permissions_service__WEBPACK_IMPORTED_MODULE_1__.PermissionsService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_project_user_service__WEBPACK_IMPORTED_MODULE_2__.ProjectUserService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](src_app_auth_auth_service__WEBPACK_IMPORTED_MODULE_3__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_4__.ToastService));
  };
  _ProjectCardComponent.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineComponent"]({
    type: _ProjectCardComponent,
    selectors: [["app-project-card"]],
    inputs: {
      project: "project",
      userProjects: "userProjects"
    },
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵStandaloneFeature"]],
    decls: 18,
    vars: 6,
    consts: [["button", "true", 3, "click"], ["size", "6"], ["aria-hidden", "true", "name", "person"], ["aria-hidden", "true", "name", "chatbox"], ["fill", "clear", 3, "click", 4, "ngIf"], ["fill", "clear", 3, "click"]],
    template: function ProjectCardComponent_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](0, "ion-card", 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵlistener"]("click", function ProjectCardComponent_Template_ion_card_click_0_listener() {
          return ctx.openReports();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](1, "ion-card-header")(2, "ion-card-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](4, "ion-card-content");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](6, "ion-grid")(7, "ion-row")(8, "ion-col", 1)(9, "p");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelement"](10, "ion-icon", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](11);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](12, "ion-col", 1)(13, "p");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelement"](14, "ion-icon", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](15);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtemplate"](16, ProjectCardComponent_ion_button_16_Template, 2, 0, "ion-button", 4)(17, ProjectCardComponent_ion_button_17_Template, 2, 0, "ion-button", 4);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtextInterpolate"](ctx.project.name);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](2);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtextInterpolate"](ctx.project.description);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtextInterpolate1"](" ", ctx.project.users_count, " Participantes ");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](4);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtextInterpolate1"](" ", ctx.project.reports_count, " Reportes ");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("ngIf", ctx.canEdit());
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("ngIf", ctx.canJoin());
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCardHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCardTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCardContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonIcon, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonButton, _angular_common__WEBPACK_IMPORTED_MODULE_9__.CommonModule, _angular_common__WEBPACK_IMPORTED_MODULE_9__.NgIf],
    styles: ["ion-col[_ngcontent-%COMP%] {\n  align-items: flex-end;\n}"]
  });
  return ProjectCardComponent;
})();

/***/ }),

/***/ 755:
/*!**************************************************!*\
  !*** ./src/app/projects/project-user.service.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectUserService: () => (/* binding */ ProjectUserService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);





let ProjectUserService = /*#__PURE__*/(() => {
  var _ProjectUserService;
  class ProjectUserService {
    constructor(authService, http) {
      this.authService = authService;
      this.http = http;
      this.projectId = 0;
      this.urlBase = '';
    }
    setUrlBase() {
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/projects/' + this.projectId.toString() + '/users';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(userId, type) {
      return this.http.post(`${this.urlBase}`, {
        userId: userId,
        type: type
      }).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    setProjectId(id) {
      this.projectId = id;
      this.setUrlBase();
    }
  }
  _ProjectUserService = ProjectUserService;
  _ProjectUserService.ɵfac = function ProjectUserService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectUserService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient));
  };
  _ProjectUserService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _ProjectUserService,
    factory: _ProjectUserService.ɵfac,
    providedIn: 'root'
  });
  return ProjectUserService;
})();

/***/ }),

/***/ 462:
/*!*******************************************!*\
  !*** ./src/app/projects/projects.page.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectsPage: () => (/* binding */ ProjectsPage)
/* harmony export */ });
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var _project_card_project_card_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./project-card/project-card.component */ 5001);
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _projects_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./projects.service */ 1078);
/* harmony import */ var _core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/services/toast.service */ 5423);
/* harmony import */ var _auth_permissions_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../auth/permissions.service */ 5652);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../auth/auth.service */ 3117);
/* harmony import */ var _user_user_project_service__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../user/user-project.service */ 8128);













function ProjectsPage_ion_button_5_Template(rf, ctx) {
  if (rf & 1) {
    const _r1 = _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵgetCurrentView"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](0, "ion-button", 9);
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵlistener"]("click", function ProjectsPage_ion_button_5_Template_ion_button_click_0_listener() {
      _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵrestoreView"](_r1);
      const ctx_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵnextContext"]();
      return _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵresetView"](ctx_r1.newProject());
    });
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](1, "Crear nuevo");
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
  }
}
function ProjectsPage_app_project_card_22_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelement"](0, "app-project-card", 10);
  }
  if (rf & 2) {
    const project_r3 = ctx.$implicit;
    const ctx_r1 = _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵnextContext"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵproperty"]("project", project_r3)("userProjects", ctx_r1.userProjects);
  }
}
let ProjectsPage = /*#__PURE__*/(() => {
  var _ProjectsPage;
  class ProjectsPage {
    constructor(router, projectsService, toastService, permissionsService, authService, userProjectService) {
      this.router = router;
      this.projectsService = projectsService;
      this.toastService = toastService;
      this.permissionsService = permissionsService;
      this.authService = authService;
      this.userProjectService = userProjectService;
      this.canCreateProject = false;
      this.projects = [];
      this.showMyProjects = false;
      this.userProjects = [];
    }
    ionViewWillEnter() {
      this.canCreateProject = this.permissionsService.validatePermission('create project');
      this.projectsService.getAll().subscribe({
        next: projects => {
          this.projects = projects;
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
      this.authService.user().subscribe({
        next: user => {
          this.userProjectService.setUserId(user.id);
          this.userProjectService.getProjects().subscribe({
            next: userProjects => {
              this.userProjects = userProjects;
            },
            error: error => {
              this.toastService.showToast(error.message);
            }
          });
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
    goToNews() {
      this.router.navigateByUrl('/projects/1/news');
    }
    newProject() {
      this.router.navigateByUrl('/projects/new');
    }
  }
  _ProjectsPage = ProjectsPage;
  _ProjectsPage.ɵfac = function ProjectsPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectsPage)(_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_7__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_projects_service__WEBPACK_IMPORTED_MODULE_1__.ProjectsService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_auth_permissions_service__WEBPACK_IMPORTED_MODULE_3__.PermissionsService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_user_user_project_service__WEBPACK_IMPORTED_MODULE_5__.UserProjectService));
  };
  _ProjectsPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdefineComponent"]({
    type: _ProjectsPage,
    selectors: [["app-projects"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵStandaloneFeature"]],
    decls: 23,
    vars: 5,
    consts: [[3, "translucent"], ["slot", "primary"], ["fill", "solid", 3, "click", 4, "ngIf"], [3, "fullscreen"], ["collapse", "condense"], ["size", "large"], [1, "ion-margin-bottom", "ion-margin-left", "ion-margin-right", "text-end"], [3, "ngModelChange", "ngModel"], [3, "project", "userProjects", 4, "ngFor", "ngForOf"], ["fill", "solid", 3, "click"], [3, "project", "userProjects"]],
    template: function ProjectsPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](3, " Proyectos ");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](4, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtemplate"](5, ProjectsPage_ion_button_5_Template, 2, 0, "ion-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](6, "ion-content", 3)(7, "ion-header", 4)(8, "ion-toolbar")(9, "ion-title", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](10, "Proyectos");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](11, "ion-card")(12, "ion-grid")(13, "ion-row")(14, "ion-col")(15, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](16, "Filtros");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](17, "ion-row")(18, "ion-col", 6)(19, "ion-toggle", 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayListener"]("ngModelChange", function ProjectsPage_Template_ion_toggle_ngModelChange_19_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayBindingSet"](ctx.showMyProjects, $event) || (ctx.showMyProjects = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](20, "Ver mis proyectos");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelement"](21, "ion-item-divider");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtemplate"](22, ProjectsPage_app_project_card_22_Template, 1, 2, "app-project-card", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵproperty"]("ngIf", ctx.canCreateProject);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](13);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayProperty"]("ngModel", ctx.showMyProjects);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵproperty"]("ngForOf", ctx.showMyProjects ? ctx.userProjects : ctx.projects);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonToolbar, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonContent, _project_card_project_card_component__WEBPACK_IMPORTED_MODULE_0__.ProjectCardComponent, _angular_common__WEBPACK_IMPORTED_MODULE_9__.CommonModule, _angular_common__WEBPACK_IMPORTED_MODULE_9__.NgForOf, _angular_common__WEBPACK_IMPORTED_MODULE_9__.NgIf, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonButtons, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonToggle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonItemDivider, _angular_forms__WEBPACK_IMPORTED_MODULE_10__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_10__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_10__.NgModel],
    styles: [".text-center[_ngcontent-%COMP%] {\n  text-align: center;\n}\n\n.text-end[_ngcontent-%COMP%] {\n  text-align: end;\n}"]
  });
  return ProjectsPage;
})();

/***/ }),

/***/ 1078:
/*!**********************************************!*\
  !*** ./src/app/projects/projects.service.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectsService: () => (/* binding */ ProjectsService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);





let ProjectsService = /*#__PURE__*/(() => {
  var _ProjectsService;
  class ProjectsService {
    constructor(http, authService) {
      this.http = http;
      this.authService = authService;
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/projects';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(project) {
      return this.http.post(`${this.urlBase}`, project).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    getAll() {
      return this.http.get(`${this.urlBase}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    get(id) {
      return this.http.get(`${this.urlBase}/${id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    update(project) {
      const editProject = {
        ...project
      };
      delete editProject.id;
      return this.http.put(`${this.urlBase}/${project.id}`, editProject).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
  }
  _ProjectsService = ProjectsService;
  _ProjectsService.ɵfac = function ProjectsService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectsService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService));
  };
  _ProjectsService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _ProjectsService,
    factory: _ProjectsService.ɵfac,
    providedIn: 'root'
  });
  return ProjectsService;
})();

/***/ })

}]);