"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[8421],{

/***/ 8421:
/*!************************************************!*\
  !*** ./src/app/auth/register/register.page.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RegisterPage: () => (/* binding */ RegisterPage)
/* harmony export */ });
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var src_app_core_models_user__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/app/core/models/user */ 4460);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth.service */ 3117);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _permissions_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../permissions.service */ 5652);









let RegisterPage = /*#__PURE__*/(() => {
  var _RegisterPage;
  class RegisterPage {
    constructor(authService, toastService, router, permissionsService) {
      this.authService = authService;
      this.toastService = toastService;
      this.router = router;
      this.permissionsService = permissionsService;
      this.user = new src_app_core_models_user__WEBPACK_IMPORTED_MODULE_0__.User();
    }
    register() {
      this.authService.register(this.user).subscribe({
        next: user => {
          if (user) {
            var _this$user$password;
            this.authService.login(this.user.email, (_this$user$password = this.user.password) !== null && _this$user$password !== void 0 ? _this$user$password : '').subscribe({
              next: () => {
                this.permissionsService.permissions().subscribe({
                  next: () => {
                    this.router.navigateByUrl('/main').then(() => {
                      window.location.reload();
                    });
                  },
                  error: error => {
                    this.toastService.showToast(error.message);
                  }
                });
              },
              error: error => {
                this.toastService.showToast(error.message);
              }
            });
          }
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
  }
  _RegisterPage = RegisterPage;
  _RegisterPage.ɵfac = function RegisterPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _RegisterPage)(_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_5__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_permissions_service__WEBPACK_IMPORTED_MODULE_3__.PermissionsService));
  };
  _RegisterPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdefineComponent"]({
    type: _RegisterPage,
    selectors: [["app-register"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵStandaloneFeature"]],
    decls: 69,
    vars: 9,
    consts: [[3, "translucent"], ["slot", "start"], ["text", ""], [3, "fullscreen"], [1, "full-height-grid"], [1, "ion-margin-top"], ["position", "stacked"], ["required", "true", 3, "ngModelChange", "ngModel"], ["type", "email", "required", "true", 3, "ngModelChange", "ngModel"], [3, "ngModelChange", "ngModel"], ["type", "number", "required", "true", 3, "ngModelChange", "ngModel"], ["placeholder", "Selecciona un tipo de usuario", "required", "true", 3, "ngModelChange", "ngModel"], ["value", "researcher"], ["value", "student"], ["value", "teacher"], ["type", "password", "required", "true", 3, "ngModelChange", "ngModel"], ["slot", "end"], [3, "click"]],
    template: function RegisterPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](3, "ion-back-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](4, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](5, " Registro ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](6, "ion-content", 3)(7, "ion-card")(8, "ion-grid", 4)(9, "ion-row")(10, "ion-col", 5)(11, "ion-item")(12, "ion-label", 6)(13, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](14, "Nombre *");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](15, "ion-input", 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_15_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.name, $event) || (ctx.user.name = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](16, "ion-row")(17, "ion-col", 5)(18, "ion-item")(19, "ion-label", 6)(20, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](21, "Email *");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](22, "ion-input", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_22_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.email, $event) || (ctx.user.email = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](23, "ion-row")(24, "ion-col", 5)(25, "ion-item")(26, "ion-label", 6)(27, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](28, "Direcci\u00F3n");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](29, "ion-input", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_29_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.address, $event) || (ctx.user.address = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](30, "ion-row")(31, "ion-col", 5)(32, "ion-item")(33, "ion-label", 6)(34, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](35, "Grado acad\u00E9mico");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](36, "ion-input", 9);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_36_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.degree, $event) || (ctx.user.degree = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](37, "ion-row")(38, "ion-col", 5)(39, "ion-item")(40, "ion-label", 6)(41, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](42, "Edad *");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](43, "ion-input", 10);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_43_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.age, $event) || (ctx.user.age = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](44, "ion-row")(45, "ion-col", 5)(46, "ion-item")(47, "ion-label", 6)(48, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](49, "Tipo de usuario *");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](50, "ion-select", 11);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_select_ngModelChange_50_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.type, $event) || (ctx.user.type = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](51, "ion-select-option", 12);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](52, "Investigador");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](53, "ion-select-option", 13);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](54, "Estudiante");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](55, "ion-select-option", 14);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](56, "Profesor");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](57, "ion-row")(58, "ion-col", 5)(59, "ion-item")(60, "ion-label", 6)(61, "h1");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](62, "Contrase\u00F1a *");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](63, "ion-input", 15);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayListener"]("ngModelChange", function RegisterPage_Template_ion_input_ngModelChange_63_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayBindingSet"](ctx.user.password, $event) || (ctx.user.password = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](64, "ion-input-password-toggle", 16);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](65, "ion-row")(66, "ion-col", 5)(67, "ion-button", 17);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵlistener"]("click", function RegisterPage_Template_ion_button_click_67_listener() {
          return ctx.register();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](68, "Registrarse");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()()()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](9);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.name);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.email);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.address);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.degree);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.age);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.type);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](13);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtwoWayProperty"]("ngModel", ctx.user.password);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonToolbar, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonInput, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonItem, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonInputPasswordToggle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonButton, _angular_forms__WEBPACK_IMPORTED_MODULE_7__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_7__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_7__.RequiredValidator, _angular_forms__WEBPACK_IMPORTED_MODULE_7__.NgModel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonButtons, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonBackButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonSelect, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonSelectOption, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonLabel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCard],
    styles: ["ion-col[_ngcontent-%COMP%] {\n  text-align: center;\n}"]
  });
  return RegisterPage;
})();

/***/ })

}]);